Skip to main content

Update User Role

PUT/update-user-role/workspace/{workspaceId}

Updates the role of a user within a specific workspace.

Path Parameters
workspaceIdstringrequired
UUID of the workspace.
Request Body
newRolestringrequired
New role to assign.
emailstringrequired
Email of the user whose role is being updated.
Error Responses
400
User not found by email, user not in workspace, removing the last active admin, or user owns apps and no transferring user provided.
403
External API disabled, missing EXTERNAL_API license, or invalid Authorization token.
404
Not available on Community Edition.
451
EXTERNAL_API license not active on the instance.
Request
curl -X PUT "https://{your-domain}/api/ext/update-user-role/workspace/{workspaceId}" -H "Authorization: Basic <access_token>" -H "Content-Type: application/json" -d '{
"newRole": "end-user",
"email": "[email protected]"
}'

Response: 200